- name: Deploy edX Ecommerce
  hosts: all
  become: True
  gather_facts: True
  vars:
    ENABLE_DATADOG: False
    ENABLE_NEWRELIC: False
    CLUSTER_NAME: 'ecommerce'
  roles:
    - role: aws
      when: COMMON_ENABLE_AWS_ROLE
    - role: nginx
      nginx_default_sites:
        - ecommerce
    - ecommerce
    - role: datadog
      when: COMMON_ENABLE_DATADOG
    - role: splunkforwarder
      when: COMMON_ENABLE_SPLUNKFORWARDER
    - role: newrelic_infrastructure
      when: COMMON_ENABLE_NEWRELIC_INFRASTRUCTURE
    - role: datadog-uninstall
      when: not COMMON_ENABLE_DATADOG
    - role: hermes
      HERMES_TARGET_SERVICE: 'ecommerce'
      when: ECOMMERCE_HERMES_ENABLED

